Bug 1112292 - Cannot pass arguments to gnokii-smsd
Summary: Cannot pass arguments to gnokii-smsd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnokii
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-23 14:02 UTC by Patrick Monnerat
Modified: 2017-02-28 21:19 UTC (History)
4 users (show)

Fixed In Version: gnokii-0.6.31-17.fc25 gnokii-0.6.31-17.fc24 gnokii-0.6.31-17.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 17:23:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Patrick Monnerat 2014-06-23 14:02:13 UTC
Description of problem:
The systemd service script for gnokii-smsd does not read additional arguments from /etc/sysconf/gnokii-smsd. Moreover, this later file must be adapted for systemd processing.
This bug prevents using gnokii-smsd with a database backend.

Version-Release number of selected component (if applicable):
gnokii-smsd-0.6.31-7.fc20.x86_64

Additional info:
For example, the gnokii-smsd.service file should be updated as:
..............
Environment="SMSD_OPTS="
EnvironmentFile=-/etc/sysconfig/gnokii-smsd
ExecStart=/usr/bin/gnokii-smsd $SMSD_OPTS
..............

And the /etc/sysconfig/gnokii-smsd should be adapted to include the log option in SMSD_OPTS.

Comment 1 Fedora End Of Life 2015-05-29 12:11:57 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Patrick Monnerat 2015-05-29 12:53:50 UTC
F20 --> rawhide.
Still not fixed.

Comment 3 Jan Kurik 2015-07-15 14:39:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Fedora End Of Life 2016-11-24 11:10:59 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Patrick Monnerat 2016-11-24 11:37:07 UTC
F23 --> F25.

This is an old report > 2 years.
A suggestion fix is listed in the initial description.
However nothing has been done yet.
At least a comment from the maintainer would be appreciated...

Comment 6 Robert Scheck 2017-02-12 00:20:54 UTC
Not sure about the maintainer, but I hopefully fixed the reported issue now.

Comment 7 Fedora Update System 2017-02-12 00:47:54 UTC
gnokii-0.6.31-17.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-17eee8a18d

Comment 8 Fedora Update System 2017-02-12 00:48:37 UTC
gnokii-0.6.31-17.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-85dd15bd70

Comment 9 Fedora Update System 2017-02-12 00:49:26 UTC
gnokii-0.6.31-17.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3539be20cb

Comment 10 Fedora Update System 2017-02-13 23:19:03 UTC
gnokii-0.6.31-17.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3539be20cb

Comment 11 Fedora Update System 2017-02-13 23:49:24 UTC
gnokii-0.6.31-17.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-85dd15bd70

Comment 12 Fedora Update System 2017-02-14 00:53:13 UTC
gnokii-0.6.31-17.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-17eee8a18d

Comment 13 Fedora Update System 2017-02-22 17:23:27 UTC
gnokii-0.6.31-17.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-02-22 17:51:05 UTC
gnokii-0.6.31-17.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-02-28 21:19:15 UTC
gnokii-0.6.31-17.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.